Search contact by identifier
POST
/workspaces/{workspaceId}/contacts/search
Search for contacts
Corps de la requête
identifier
object
obligatoire
Afficher les paramètres enfants
identifier.key
string
obligatoire
identifier.value
string
obligatoire
platformAddress
string
obligatoire
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.accountIds
array of string
The list of account ids for the contact.
results.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or
a non-empty array of those, or null
results.companyRefs
array of string
The list of company references for the contact.
results.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available,
from the displayName attribute, the firstName attribute, the emailaddress identifier,
or the phonenumber identifier.
results.createdAt
string
obligatoire
results.featuredIdentifiers
array of object
The list of identifiers for the contact.
Afficher les attributs enfants
results.featuredIdentifiers.key
string
obligatoire
The identifier key. This can be from your custom identifier key or one of the built-in keys.
results.featuredIdentifiers.value
string
obligatoire
The identifier value. This represents the actual value for the identifier.
results.id
string
obligatoire
The unique identifier for the contact.
results.identifierCount
integer
The number of identifiers for the contact.
results.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers,
or only has visitorid identifiers.
results.listIds
array of string
The list of list ids for the contact.
results.updatedAt
string
obligatoire
results.workspaceId
string
Your workspace identifier.
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/contacts/search' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Exemple de code
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/search" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
-d '{
"identifier": {
"key": "emailaddress",
"value": "contacts@bird.com"
}
}'Exemple de code
{
"results": [
{
"id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
"computedDisplayName": "John",
"featuredIdentifiers": [
{
"key": "emailaddress",
"value": "contacts@bird.com"
}
],
"identifierCount": 1,
"attributes": {
"emailaddress": [
"contacts@bird.com"
],
"firstName": "John",
"initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
"lastName": "Doe",
"timezone": "America/Sao_Paulo",
"countryCode": null
},
"listIds": [
"12bd0e40-9361-4e32-8b26-99b4ab7eae09"
],
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}
]
}